# 22. Virtuoso Functions Guide - exp

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
abs
atof
bit_and
bit_not
bit_or
bit_shift
bit_xor
ceiling
either
equ
exp
floor
isdouble
isfloat
isinteger
isnumeric
iszero
log
log10
lower
mod
power
randomize
rnd
sign
sqrt
trigonometric
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## exp

calculate exponent
exp (in x double precision);
Parameters
x – double precision
Return Values

exp returns a IEEE 64-bit float.

Description

The function raises e to the power of x, it works with double precision floating point numbers, converts its argument to an IEEE 64-bit float and returns a result of that type.

Examples
Simple Examples

    SQL> select concat ('the EXP of 0.513513 is: ', cast (exp (0.513513) as varchar));
    callret
    VARCHAR
    _______________________________________________________________________________

    the EXP of 0.513513 is: 1.671152

    1 Rows. -- 3 msec.

See Also

log, log10, power, sqrt,